(defun C:ADDFIELDS (/ App Doc dProps)
 (vl-load-com)
(setq acadObject (vlax-get-acad-object))
   (setq acadDocument (vla-get-ActiveDocument acadObject))

   ;;Get the SummaryInfo

   (setq dProps (vlax-get-Property acadDocument 'SummaryInfo))

   ;; remove custom infos

   (repeat (setq n (vla-NumCustomInfo dProps))
      (vla-RemoveCustomByIndex dProps (setq n (1- n)))
   )

 ;;Add an entry to the "Custom" tab

 (setq App (vlax-Get-Acad-Object)
 Doc (vla-Get-ActiveDocument App)
 DwgProps (vla-Get-SummaryInfo Doc))
 (vla-AddCustomInfo dProps "PROJECT REGION" "PROJECT REGION:")
 (vla-AddCustomInfo dProps "PROJECT LOCATION" "PROJECT LOCATION:")
 (vla-AddCustomInfo dProps "NTG PROJECT NUMBER" "XXXXXXXX")
 (vla-AddCustomInfo dProps "NTG ASSET NUMBER" "XXXXX")
 (vla-AddCustomInfo dProps "NTG PROJECT TITLE" "NTG PROJECT TITLE:")
 (vla-AddCustomInfo dProps "TOTAL PAGES" "XX")
 (Command "DWGPROPS")
 (Command "regen")
 (prompt "View Regenerated To See Changes!")
 (princ)) 
